package com.prolog.cs.biz.outbound.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @author zzz
 * @desc
 * @date 2021/9/18
 */
@ApiModel("货主转换")
public class CargoOwnerChangeVO implements Serializable {

    private static final long serialVersionUID = -6915126195295483550L;

    private String warehouseId;
    @ApiModelProperty(value = "货主id")
    private String cargoOwnerId;
    @ApiModelProperty(value = "oms订单id")
    private String omsBillId ;
    @ApiModelProperty(value = "oms订单编号")
    private String omsBillNo;

    private List<WaveStorageVO> list;

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getCargoOwnerId() {
        return cargoOwnerId;
    }

    public void setCargoOwnerId(String cargoOwnerId) {
        this.cargoOwnerId = cargoOwnerId;
    }

    public String getOmsBillId() {
        return omsBillId;
    }

    public void setOmsBillId(String omsBillId) {
        this.omsBillId = omsBillId;
    }

    public String getOmsBillNo() {
        return omsBillNo;
    }

    public void setOmsBillNo(String omsBillNo) {
        this.omsBillNo = omsBillNo;
    }

    public List<WaveStorageVO> getList() {
        return list;
    }

    public void setList(List<WaveStorageVO> list) {
        this.list = list;
    }
}
